
------------------------------------------------------------------------
-- IBM* Licensed Materials - Property of IBM
-- 5724-E49
-- 5765-F35
-- 5765-F41
-- 5724-N76
-- 5724-B55
-- (C) Copyright IBM Corporation 2001,2006 All rights reserved.
--  * Trademark of International Business Machines
------------------------------------------------------------------------

--**********************************************************************
--**********************************************************************
--**
--**  Product Name:      DB2 Net Search Extender
--**
--**  Source File Name:  ctecproc.ddl
--**
--**  Description:       The following script is executed
--**                     when a database is enabled for text.
--**
--**  Status:            Version 9.1.0
--**
--**********************************************************************
--**********************************************************************

--*---------------------------------------------------------------------
--* declare the stored procedure(s)                          
--*---------------------------------------------------------------------
CREATE PROCEDURE DB2EXT.TEXTSEARCH(
        IN      QUERY                   VARCHAR(4000),
        IN      INDEXSCHEMA             VARCHAR(128),
        IN      INDEXNAME               VARCHAR(128),
        IN      RESULTFIRSTROW          INTEGER,
        IN      RESULTNUMBERROWS        INTEGER,
        IN      RANKINGFLAG             INTEGER,
        IN      SEARCHTERMCOUNTSFLAG    INTEGER,
        OUT     SEARCHTERMCOUNTS        VARCHAR(4000),
        OUT     TOTALNUMBEROFRESULTS    INTEGER
)

        SPECIFIC DB2EXT.TEXTSEARCH
        RESULT SETS 1
        DBINFO
        EXTERNAL NAME 'ctestpsr!TextSearch'
        LANGUAGE C PARAMETER STYLE DB2SQL
        PROGRAM TYPE SUB
        FENCED;

--*---------------------------------------------------------------------
--* grant privilege(s) on stored procedure(s)
--*---------------------------------------------------------------------
GRANT EXECUTE ON SPECIFIC PROCEDURE DB2EXT.TEXTSEARCH  TO PUBLIC;

------------------------------------------------------------------------

